Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum TransportState

    java.lang.Object
      java.lang.Enum<TransportState>
          org.teleal.cling.support.model.TransportState

All Implemented Interfaces:
  Serializable, Comparable<TransportState>

    public enum TransportState

extends Enum<TransportState>

Author:
  Christian Bauer

Enum Constant Summary
`CUSTOM`
`NO_MEDIA_PRESENT`
`PAUSED_PLAYBACK`
`PAUSED_RECORDING`
`PLAYING`
`RECORDING`
`STOPPED`
`TRANSITIONING`

Method Summary
`String` | `getValue()`
`TransportState` | `setValue(String value)`
`static TransportState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransportState` | `valueOrCustomOf(String s)`
`static TransportState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STOPPED

    public static final TransportState STOPPED

### PLAYING

    public static final TransportState PLAYING

### TRANSITIONING

    public static final TransportState TRANSITIONING

### PAUSED_PLAYBACK

    public static final TransportState PAUSED_PLAYBACK

### PAUSED_RECORDING

    public static final TransportState PAUSED_RECORDING

### RECORDING

    public static final TransportState RECORDING

### NO_MEDIA_PRESENT

    public static final TransportState NO_MEDIA_PRESENT

### CUSTOM

    public static final TransportState CUSTOM

Method Detail

### values

    public static TransportState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransportState c : TransportState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransportState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

### setValue

    public TransportState setValue(String value)

### valueOrCustomOf

    public static TransportState valueOrCustomOf(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.